Search found 11 matches

by sam@WU2013
Tue May 09, 2017 3:47 am
Forum: PHP API
Topic: $fall_back = $parent_node->fallback(); randomly crash
Replies: 4
Views: 21744

Re: $fall_back = $parent_node->fallback(); randomly crash

We are using API from onsite_1.8.3.0_PHP_API_14258.zip

In our production, we are using runtime hhvm:3.6.1
by sam@WU2013
Mon May 08, 2017 1:18 am
Forum: PHP API
Topic: $fall_back = $parent_node->fallback(); randomly crash
Replies: 4
Views: 21744

$fall_back = $parent_node->fallback(); randomly crash

When I call // device is built using : // //self::$wurfl_engine = new \ScientiaMobile\WURFL\WURFLEngine($container); //$this->device = self::$wurfl_engine->getDeviceForUserAgent($userAgent); $this->device->getCapability('ajax_support_javascript'); I will end up it scientiamobile/wurfl-api/src/Model/...
by sam@WU2013
Thu Apr 13, 2017 1:42 am
Forum: PHP API
Topic: Capability "ajax_support_javascript" does not exist in WURFL
Replies: 2
Views: 19562

Re: Capability "ajax_support_javascript" does not exist in W

Sorry. I think I found out why. I need to modify config.php, and run wurfl-updater again.
by sam@WU2013
Wed Apr 12, 2017 11:18 pm
Forum: PHP API
Topic: Capability "ajax_support_javascript" does not exist in WURFL
Replies: 2
Views: 19562

Capability "ajax_support_javascript" does not exist in WURFL

Hi, I have the following capability in PHP 'wurfl_capability_filter' => [ 'advertised_browser', 'advertised_browser_version', 'advertised_device_os', 'advertised_device_os_version', 'cookie_support', 'form_factor', 'device_os', 'device_os_version', 'is_tablet', 'is_wireless_device', 'pointing_method...
by sam@WU2013
Tue Apr 11, 2017 8:56 pm
Forum: PHP API
Topic: Is PHP API v1.8.x.x requires PHP 5.3 or PHP 5.4
Replies: 4
Views: 22185

Re: Is PHP API v1.8.x.x requires PHP 5.3 or PHP 5.4

Hem... Sorry. I am getting confused. May I know what is the difference between "onsite php api" and "onsite php database api" ? Which api we should be using based on the our use case? Our use case is User makes a request to our web application written in PHP. Our web application will perform analysi...
by sam@WU2013
Tue Apr 11, 2017 5:14 am
Forum: PHP API
Topic: Is PHP API v1.8.x.x requires PHP 5.3 or PHP 5.4
Replies: 4
Views: 22185

Is PHP API v1.8.x.x requires PHP 5.3 or PHP 5.4

I'm trying to use WURFL in a legacy project which is running on PHP 5.3 I look at https://docs.scientiamobile.com/documentation/onsite/onsite-php-database-api , the PHP requirements is PHP 5.3+ However, I use the following composer.json "repositories": [ { "type": "artifact", "url": "wurfl/" }, ... ...
by sam@WU2013
Wed Feb 22, 2017 3:50 am
Forum: PHP API
Topic: The WURFL repository has not been loaded. Please run the "..
Replies: 3
Views: 20630

Re: The WURFL repository has not been loaded. Please run the

I even try to add wurfl_db, it doesn't help. Same exception still happens $container = new \ScientiaMobile\WURFL\Container\Container([ 'wurfl_db' => __DIR__ . '/../wurfl/wurfl.zip', 'wurfl_snapshot_url' => __DIR__ . '/../wurfl/wurfl.zip', 'wurfl_storage_path' => __DIR__ . '/../wurfl/storage', 'wurfl...
by sam@WU2013
Wed Feb 22, 2017 3:16 am
Forum: PHP API
Topic: The WURFL repository has not been loaded. Please run the "..
Replies: 3
Views: 20630

The WURFL repository has not been loaded. Please run the "..

I try to upgrade our system to PHP 7, and make use of API from onsite_1.8.3.0_PHP_API_14258.zip I had created the following test code. $container = new \ScientiaMobile\WURFL\Container\Container([ 'wurfl_snapshot_url' => __DIR__ . '/../wurfl/wurfl.zip', 'wurfl_storage_path' => __DIR__ . '/../wurfl/st...
by sam@WU2013
Wed Feb 22, 2017 12:51 am
Forum: Device Detection Issues
Topic: Detection fail for "Opera/9.80 (Windows NT 6.0)..."
Replies: 1
Views: 20989

Detection fail for "Opera/9.80 (Windows NT 6.0)..."

We are using latest https://data.scientiamobile.com/xxxxx/wurfl.zip till today We are using PHP 5.3.3, wurfl/wurfl-api: "1.7.1.1" I realize with such setup, WURFL fail to perform detection on the following agent string Opera/9.80 (Windows NT 6.0) Presto/2.12.388 Version/12.14 The result I get is adv...
by sam@WU2013
Tue Feb 21, 2017 9:31 pm
Forum: PHP API
Topic: What capabilities need to enable to use "form_factor"
Replies: 3
Views: 21195

Re: What capabilities need to enable to use "form_factor"

Hi David,

Thanks. Gonna try it out.

Isn't it will be better, if such info is available in official documentation?
by sam@WU2013
Tue Feb 21, 2017 4:12 am
Forum: PHP API
Topic: What capabilities need to enable to use "form_factor"
Replies: 3
Views: 21195

What capabilities need to enable to use "form_factor"

I am using WURFL, in order to detect `form_factor` I enable the following capability. - "form_factor" However, once I run the code to detect `form_factor`, it crashes. Then, when I look at source code wurfl/wurfl-api/WURFL/VirtualCapability/IsSmartphone.php wurfl/wurfl-api/WURFL/VirtualCapability/Fo...